Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Community Member

compatibility issue with new version of Reporting API

Since AsyncOS 5.0 release we had a huge improvement on Reporting API, but as far as i noticed the new one is not compatible at all to the older version.

There is a bunch of new data that can be accessed now, but i cant access, for example, the interface IP - since its not "connection driven" anymore.

Another point is: it doesnt looks like an API. There is a lot of hardcoded variables and i don't see any flexibility or reference to this variables such as "report_def_id" or "report_query_id". (just a complaint point).

It only allows me to get the same data i can actually see at GUI. We developed an application based on the older version of the API and now its just broken.

is there some compat function like older exportmailflow? or i'll have to downgrade my AsyncOS?

1 REPLY
Community Member

Re: compatibility issue with new version of Reporting API

Ok, i think ppl doesnt like the API anyway... Does anybody here uses it, at least?

163
Views
0
Helpful
1
Replies
CreatePlease to create content